import { select, arc } from "d3"

const svg = select('svg');


const width = +svg.attr('width');
const height = +svg.attr("height");
const eyeSpacing = 100
const eyeYOffset = 90
const eyeRadius = 50

const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height / 2})`);

const circle = g
	.append('circle')
  	.attr('r', height / 2)
    .attr('fill', '#e6e62d')
    .attr('stroke', 'black')
    .attr('stroke-width', 3);

const eyesG = g
	.append('g')
  	.attr('transform', `translate(0, ${-eyeYOffset})`);

const leftEye = eyesG
	.append('circle')
  	.attr('r', eyeRadius)
		.attr('cx', -eyeSpacing);

const rightEye = eyesG
	.append('circle')
  	.attr('r', eyeRadius)
		.attr('cx', eyeSpacing);

const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 0,
      outerRadius: 180,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3/2
      }))
    .attr('x', 100);

const eyebrowWidth = 90
const eyebrowHeight = 10
const eyebrowYOffset = -eyeRadius * 1.25

const leftEyebrow = eyesG
	.append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
  .transition().duration(2000)
    .attr('y', eyebrowYOffset-30)
	.transition().duration(2000)
    .attr('y', eyebrowYOffset-10);
const rightEyeX = eyeSpacing - eyebrowWidth * 2 / 3
const rightEyebrow = eyesG
	.append('rect')
		.attr('transform', `rotate(-45 ${rightEyeX} ${eyebrowYOffset})`)
    .attr('x', rightEyeX)
    .attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
  .transition().duration(2000)
      .attr('y', eyebrowYOffset + 20)
	.transition().duration(2000)
      .attr('y', eyebrowYOffset)
			.attr('transform', `rotate(-25 ${rightEyeX} ${eyebrowYOffset})`);
